QGLViewerWidget Class Reference
Inheritance diagram for QGLViewerWidget:
[legend]
Collaboration diagram for QGLViewerWidget:
[legend]

## Public Types

typedef QGLWidget | Super

## Public Member Functions

| QGLViewerWidget (QWidget *_parent=0)
| QGLViewerWidget (QGLFormat &_fmt, QWidget *_parent=0)
void | set_scene_pos (const OpenMesh::Vec3f &_center, float _radius)
void | view_all ()
QAction * | add_draw_mode (const std::string &_s)
| add draw mode to popup menu, and return the QAction created
void | del_draw_mode (const std::string &_s)
| delete draw mode from popup menu
const std::string & | current_draw_mode () const
float | radius () const
const OpenMesh::Vec3f & | center () const
const GLdouble * | modelview_matrix () const
const GLdouble * | projection_matrix () const
float | fovy () const
QAction * | findAction (const char *name)
void | addAction (QAction *action, const char *name)
void | removeAction (const char *name)
void | removeAction (QAction *action)

## Protected Member Functions

virtual void | draw_scene (const std::string &_draw_mode)
double | performance (void)
void | setDefaultMaterial (void)
void | setDefaultLight (void)
virtual void | mousePressEvent (QMouseEvent *)
virtual void | mouseReleaseEvent (QMouseEvent *)
virtual void | mouseMoveEvent (QMouseEvent *)
virtual void | wheelEvent (QWheelEvent *)
virtual void | keyPressEvent (QKeyEvent *)

The documentation for this class was generated from the following files:

- OpenMesh/Apps/QtViewer/QGLViewerWidget.hh
- OpenMesh/Apps/QtViewer/QGLViewerWidget.cc